Skip to main content
GET
/
subscriptions
List subscriptions
curl --request GET \
  --url https://api.example.com/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'x-environment: <x-environment>'
import requests

url = "https://api.example.com/subscriptions"

headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};

fetch('https://api.example.com/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "handle": "<string>",
      "currency": "USD",
      "term": {
        "start": "2023-12-25",
        "end": "2023-12-25"
      },
      "autoRenewal": true,
      "items": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "billAt": "2023-11-07T05:31:56Z",
          "period": {
            "start": "2023-12-25",
            "end": "2023-12-25"
          },
          "quantity": 123,
          "product": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>"
          },
          "price": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>"
          }
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextOffset": "<string>",
  "hasMore": true
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Query Parameters

filter
string[]

Optional filter(s) to apply. Multiple filters will be combined with 'and'.

orderby
string

Optional column to order by. Defaults to Id.

after
string

Paging token.

limit
integer<int32>
default:20

Optional limit of response. Value between 1 and 100, defaults to 20.

Required range: 1 <= x <= 100

Response

OK

results
object[] | null
read-only
nextOffset
string | null
read-only
hasMore
boolean
read-only